# NauSite.spec

%define source_dir %_sourcedir
%define prefix_dir /usr/lib/zope

%define software_home %prefix_dir/lib/python
%define products_dir %software_home/Products

%define nausite_version 2.0.3.5.21
%define zope_version 2.5.0
%define cmf_version 1.3
%define dcworkflow_version 0.4.2
%define localizer_version 0.8.1
%define nuxusergroups_version 0.7
%define photo_version 1.2.3

Name: NauSite
Version: %nausite_version
Release: alt4
Summary: Open source Content Management System for web sites
Summary(ru_RU.KOI8-R):      -
License: Naumen Public License
Group: System/Servers/ZProducts
Url: http://www.nausite.ru
BuildArch: noarch

Source: http://www.nausite.ru/docs/files/NauSite-%{nausite_version}-P.tgz
Source1: NauSite-Manual.tgz

Requires: python22, Zope >= %zope_version, Zope-ZServer >= %zope_version
Requires: CMF >= %cmf_version, DCWorkflow >= %dcworkflow_version, Photo >= %photo_version
Requires: Localizer >= %localizer_version, NuxUserGroups >= %nuxusergroups_version

Prefix: %prefix_dir

%description
Open source content management system for internal and external
corporate web sites. Includes document circulations facilities.
Implemented in python and Zope.

%description -l ru_RU.KOI8-R
        
- ,     .
    python  Zope.

%prep

%setup -n %name-%nausite_version -T -c -b 0 -b 1

%install

install -m 0755 -d "%buildroot%products_dir"

cp -rv Products/{CMFNauTools,NauScheduler,NauTracker} "%buildroot%products_dir"
rm -f "%buildroot%products_dir"/*/refresh.txt

cp -v manual.doc "%buildroot%products_dir"/CMFNauTools/manual/

find "%buildroot%products_dir" -type d -name CVS -print0 | xargs -0 rm -rf
find "%buildroot%products_dir" -type d -print0 | xargs -0 chmod 0755
find "%buildroot%products_dir" -type f -print0 | xargs -0 chmod 0644

%files
%defattr(-, zope, zope)
%doc %attr(-, root, root) Products/CMFNauTools/{INSTALL.txt,LICENSE.txt}
%dir %products_dir/CMFNauTools
%products_dir/CMFNauTools/*
%dir %products_dir/NauScheduler
%products_dir/NauScheduler/*
%dir %products_dir/NauTracker
%products_dir/NauTracker/*

%changelog
* Thu Jan 30 2003 Vladimir Pastukhov <vpastukhov@naumen.ru> 2.0.3.5.21-alt4
- logout fixed

* Wed Jan 29 2003 Vladimir Pastukhov <vpastukhov@naumen.ru> 2.0.3.5.21-alt3
- added missing file

* Wed Jan 29 2003 Vladimir Pastukhov <vpastukhov@naumen.ru> 2.0.3.5.21-alt2
- changelog fixed

* Mon Jan 27 2003 Vladimir Pastukhov <vpastukhov@naumen.ru> 2.0.3.5.21-alt1
- Updated to current beta version
- Tracker renamed to NauTracker

* Mon Nov 25 2002 Vladimir Pastukhov <vpastukhov@naumen.ru> 2.0.2.0.1-alt4
- CMF package version changed

* Fri Nov 22 2002 Vladimir Pastukhov <vpastukhov@naumen.ru> 2.0.2.0.1-alt3
- split into separate source packages
- removed Zope- prefix from package names
- python2 and ZServer dependencies fixed
- removed refresh.txt
- NauSite license included

* Tue Nov 19 2002 Vladimir Pastukhov <vpastukhov@naumen.ru> 2.0.2.0.1-alt2
- Fixed path to Products dir

* Mon Nov 11 2002 Vladimir Pastukhov <vpastukhov@naumen.ru> 2.0.2.0.1-alt1
- Initial revision
